complexType "AveragePriceLeg"

Namespace: | http://www.fpml.org/FpML-5/transparency
Content: | complex, 1 attribute, 3 elements
Defined: | globally in fpml-com-5-5.xsd; see XML source
Includes: | definitions of 3 elements
Used: | at 1 location

Content Model Diagram

XML Representation Summary
<...
id | = | xsd:ID
| >
Content: | commodity, pricingStartDate?, calculation?
</...>

Content Model Elements (3):

  calculation (in averagePriceLeg), commodity, | pricingStartDate

All Direct / Indirect Based Elements (1):

  averagePriceLeg

Known Usage Locations

- As direct type of elements (1):
  averagePriceLeg

Annotation
The average price leg of an average price commodity bullion or non-precious metal forward transaction.
Type Definition Detail

Type Derivation Tree Leg (extension) CommoditySwapLeg (extension) AveragePriceLeg

XML Source (w/o annotations (3); see within schema source)

<xsd:complexType name="AveragePriceLeg"> <xsd:complexContent> <xsd:extension base="CommoditySwapLeg"> <xsd:sequence> <!--View Generation: SKIPPED - PartySpecific--> <!--View Generation: SKIPPED - Documentation--> <xsd:element ref="commodity"/> <!--View Generation: SKIPPED quantityReference - Other-represented elsewhere--> <xsd:element minOccurs="0" name="pricingStartDate" type="AdjustableDate"/> <xsd:element minOccurs="0" name="calculation" type="FloatingLegCalculation"/> <!--View Generation: SKIPPED - Documentation--> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 3/3)
calculation

  Type: | FloatingLegCalculation, complex content

  Captures details relevant to the calculation of the floating price.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="calculation" type="FloatingLegCalculation"/>

commodity

  Type: | Commodity, complex content

  XML Source (see within schema source)

  <xsd:element ref="commodity"/>

pricingStartDate

  Type: | AdjustableDate, complex content

  Defines the Start of the Pricing period. PricingStartDate is optional when discrete pricingDates are supplied and is not recommended to be included. Should they coexist, pricingStartDate is expected to be the same as the earliest pricing date or earlier for a Term deal as the discrete dates will take precedence.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="pricingStartDate" type="AdjustableDate"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.